# TODO
# - save config to /etc:
# $ phpcs --config-set default_standard PEAR
# PHP Warning:  file_put_contents(/usr/share/pear/data/PHP_CodeSniffer/CodeSniffer.conf): failed to open stream: Permission denied in /usr/share/pear/PHP/CodeSniffer.php on line 1532
%define		pearname	PHP_CodeSniffer
%define		php_min_version 5.2.1
%include	/usr/lib/rpm/macros.php
Summary:	PHP_CodeSniffer tokenises PHP code and detects violations of a defined set of coding standards
Summary(pl.UTF-8):	PHP_CodeSniffer analizuje kod PHP pod kątem naruszeń zdefiniowanych standardów kodowania
Name:		phpcs
Version:	2.9.1
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	https://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	50855c5c3bbe01b0180438f50f617064
Patch0:		case-sensitive.patch
Patch1:		peardeps.patch
URL:		https://github.com/squizlabs/PHP_CodeSniffer
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(date)
Requires:	php(dom)
Requires:	php(iconv)
Requires:	php(pcre)
Requires:	php(simplexml)
Requires:	php(spl)
Requires:	php(tokenizer)
Requires:	php(xmlwriter)
Requires:	php-pear
Provides:	php-pear-PHP_CodeSniffer = 1:%{version}-%{release}
Obsoletes:	php-pear-PHP_CodeSniffer
Obsoletes:	php-pear-PHP_CodeSniffer-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP_CodeSniffer is a set of two PHP scripts; the main phpcs script
that tokenizes PHP, JavaScript and CSS files to detect violations of a
defined coding standard, and a second phpcbf script to automatically
correct coding standard violations. PHP_CodeSniffer is an essential
development tool that ensures your code remains clean and consistent.

%description -l pl.UTF-8
PHP_CodeSniffer jest skryptem PHP5 służącym do rozkładu tekstu kodu
PHP w celu wykrycia naruszeń pewnych zdefiniowanych standardów
kodowania. Jest to istotne narzędzie, dzięki któremu można zapewnić
czystość i spójność kodu. Może także pomóc w zapobieganiu popełniania
przez programistów pewnych częstych błędów semantycznych.

%prep
%pear_package_setup
%patch0 -p1
%patch1 -p1

mv .%{_bindir}/scripts .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install

install -p .%{_bindir}/* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log scripts
%{php_pear_dir}/.registry/*.reg
%attr(755,root,root) %{_bindir}/phpcs
%attr(755,root,root) %{_bindir}/phpcbf
%{php_pear_dir}/PHP/CodeSniffer
%{php_pear_dir}/PHP/CodeSniffer.php
%{php_pear_dir}/data/PHP_CodeSniffer
%changelog
* Sun Nov 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phpcs.git;a=log;h=auto/th/phpcs-2.9.1-1

* Sat Nov 25 2017 Elan Ruusamäe <glen@pld-linux.org> d924e9c
- up to 2.9.1

* Tue Oct 04 2016 Elan Ruusamäe <glen@delfi.ee> b46949e
- update deps

* Tue Oct 04 2016 Elan Ruusamäe <glen@delfi.ee> e1239fe
- up to 2.7.0

* Mon Oct 03 2016 Elan Ruusamäe <glen@delfi.ee> a9c35b2
- rename package to phpcs

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> a6ccdee
- up to 2.3.4

* Wed Feb 11 2015 Elan Ruusamäe <glen@delfi.ee> 084abea
- up to 2.2.0

* Thu Dec 18 2014 Elan Ruusamäe <glen@delfi.ee> ede67b3
- up to 2.1.0

* Thu Dec 18 2014 Elan Ruusamäe <glen@delfi.ee> 0c80f75
- up to 2.0.0

* Thu Dec 18 2014 Elan Ruusamäe <glen@delfi.ee> 1593ff4
- up to 1.5.6 (php5.6 fixes)

* Sun Oct 26 2014 Elan Ruusamäe <glen@delfi.ee> 7eb10ae
- up to 1.5.5

* Sun Aug 10 2014 Elan Ruusamäe <glen@delfi.ee> 3dabe3c
- up to 1.5.4

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 18f18cb
- up to 1.5.3

* Mon Mar 24 2014 Elan Ruusamäe <glen@delfi.ee> 4f2e127
- keep xmlwriter optional

* Mon Mar 24 2014 Elan Ruusamäe <glen@delfi.ee> 6768cce
- up to 1.5.2

* Mon Dec 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> 23398ed
- updated to 1.5.1

* Mon Dec 02 2013 Elan Ruusamäe <glen@delfi.ee> 3c3673c
- suggests xmlwriter extension

* Thu Nov 28 2013 Łukasz Kieś <kiesiu@pld-linux.org> 6bba9ea
- updated to 1.5.0

* Tue Nov 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 486f35a
- updated to 1.4.8

* Tue Nov 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 4967333
- updated to 1.4.7

* Fri Jul 19 2013 Elan Ruusamäe <glen@delfi.ee> 4f65214
- up to 1.4.5

